Subject: Re: Lathe cleanup and rehab.

From: [email-masked] (Geoffrey Merryweather)
Date: 14 Jul 1995 16:58:35 GMT

In message ID <[email-masked]> on 13/7/95, Greg Lewis wrote:

GL> > I've read the FAQ regarding leather belts - not too promising.
GL> Anyone tried  >to splice and glue/sew leather or synthetic flat
GL> belts? Mine has been patched 
GL> 
GL> >twice and I know it won't last forever. I'd rather replace it now
GL> while I'm  >setting it up than later while I'm threading a barrel
GL> or cutting a chamber.

You can buy synthetic belts or synthetic/ leather faced belts that are better
than the old leather ones, and the same places should also sell the metal
clips that are like a hinge and attach to the belt with the aid of a hammer.
  I use them on my turn of the century Denbiegh mill and pillar drill. 
  Places that sell conveyor belting may be able to help you. 

Geoff

-- Geoffrey Merryweather
Fax (0064) 9 2360639
EMail:  [email-masked]
"By the hammer and hand all the arts do stand"
   - Motto of The Worshipful Company of Blacksmiths